Bug 1010408 - After 4.11 update Daisy plasmoid causes Plasma crash
Summary: After 4.11 update Daisy plasmoid causes Plasma crash
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kde-plasma-daisy
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-20 17:38 UTC by Stan Trzmiel
Modified: 2013-09-24 00:27 UTC (History)
2 users (show)

Fixed In Version: kde-plasma-daisy-0.0.4.26-3.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-24 00:27:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Stan Trzmiel 2013-09-20 17:38:30 UTC
Description of problem:
Bug similar to #1010135, after update to 4.11 daisy plasmoid causes Plasma crash

.xsession-error log
Object::connect: No such signal TaskManager::TaskManager::startupAdded(StartupPtr)
Object::connect: No such signal TaskManager::TaskManager::startupRemoved(StartupPtr)
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::end: Painter not active, aborted
/usr/bin/plasma-desktop: symbol lookup error: /usr/lib/kde4/plasma_applet_daisy.so: undefined symbol: _ZN11TaskManager9BasicMenuC1EP7QWidgetPNS_8TaskItemEPNS_12GroupManagerE5QListIP7QActionESA_


Version-Release number of selected component (if applicable):
kde-plasma-daisy-0.0.4.26-2.fc19.i686
kde-workspace-4.11.1-2.fc19.i686

How reproducible:
100%

Steps to Reproduce:
1. Add Daisy applet, make sure it has "task manager" plugin added
2. Right-click on active program icon 


Actual results:
Plasma crashes, Desktop disappears

Expected results:
Launched app context menu shown.

Additional info:
Thanks to R.Dieter hint: simple rebuild fixes the problem.

Comment 1 Rex Dieter 2013-09-20 17:44:32 UTC
Thanks, I'll help take care of the rebuild:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5962090

Comment 2 Fedora Update System 2013-09-20 17:54:58 UTC
kde-plasma-daisy-0.0.4.26-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kde-plasma-daisy-0.0.4.26-3.fc19

Comment 3 Fedora Update System 2013-09-21 08:27:27 UTC
Package kde-plasma-daisy-0.0.4.26-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kde-plasma-daisy-0.0.4.26-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17281/kde-plasma-daisy-0.0.4.26-3.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-09-24 00:27:56 UTC
kde-plasma-daisy-0.0.4.26-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.